Skip to Content

Practice

5 endpoints

POST /api/v5/artifacts/practice/get

Practice Get

Get simulations available for practice (operational).

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

`object`

Response:

{ actor_name?: `string` | `null` items?: `ChatSimulationOperational`[] | `null` rubrics?: `RubricMapping`[] | `null` standard_groups?: `StandardGroupMapping`[] | `null` standards?: `StandardMapping`[] | `null` analytics?: `AnalyticsFacets` | `null` }

POST /api/v5/artifacts/practice/search

Search Practice

Get paginated attempt history for practice.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ sort_by?: `string` | `null` sort_order?: `string` | `null` page?: `integer` page_size?: `integer` simulation_search?: `string` | `null` scenario_search?: `string` | `null` show_archived?: `boolean` scenario_ids?: `string`[] | `null` infinite_mode?: `boolean` | `null` }

Response:

{ data?: `HistoryItem`[] total_count?: `integer` page?: `integer` page_size?: `integer` total_pages?: `integer` simulation_options?: `FilterOption`[] | `null` scenario_options?: `FilterOption`[] | `null` profile_options?: `FilterOption`[] | `null` }

POST /api/v5/artifacts/practice/refresh

Practice Refresh

Refresh practice materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/practice/export

Export Practice

Export all practice data as a clean, denormalized ZIP.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/practice/docs

Get Practice Docs Endpoint

Get composed documentation for the practice analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on